#!/bin/rc
#troff2html - translate troff source to HTML
#version 1.2

#flag +x
rfork e

lib=/sys/lib/troff2html
defmac=$lib/html.ms
macros=()
inf=()
args=()
soelim=/bin/aux/soelim
test -f $soelim || soelim=/bin/ape/soelim

for(a) {
	switch ($a) {
	case -m*
		macros=($macros $lib/html.`{echo $a | sed 's/^-(.*)/\1/'})
	case -c
		args=($args -ri1)
	case -c[1-9]
		args=($args -ri`{echo $a | sed 's/^-(.*)/\1/'})
	case -*
		echo "troff2html: unknown option $a" >[1=2]
		exit usage
	case *
		inf=($inf $a)
	}
}
~ $#macros 0 && macros=$defmac
$soelim $inf |
	sed -f $lib/troff2htmlpre.sed |
	troff -N $args $macros - |
	sed -f $lib/troff2htmlpost.sed
echo '</BODY></HTML>'
